Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class Credentials

    java.lang.Object
      com.bea.content.Credentials

All Implemented Interfaces:
  Serializable

public class Credentials
extends Object
implements Serializable

The credentials for an authenticated subject.

See Also:
  Serialized Form

Constructor Summary
`Credentials()` Constructs an empty Credentials.
`Credentials(Subject subject)` Constructs an Credentials with a Subject.

Method Summary
`Object` | `getProperties()` Gets any additional properties useful for authenticating and authorizing this Credentials.
`Subject` | `getSubject()` Returns the Subject for this Credentials.
`String` | `getUserName()` Gts the userName for this Credentials.
`void` | `setProperties(Properties properties)` Sets any additional properties useful for authenticating and authorizing this Credentials.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Credentials

    public Credentials()

  Constructs an empty Credentials.

### Credentials

    public Credentials(Subject subject)

  Constructs an Credentials with a Subject.

Method Detail

### getSubject

    public Subject getSubject()

  Returns the Subject for this Credentials.

### getUserName

    public String getUserName()

  Gts the userName for this Credentials.

### getProperties

    public Object getProperties()

  Gets any additional properties useful for authenticating and authorizing this Credentials.

### setProperties

    public void setProperties(Properties properties)

  Sets any additional properties useful for authenticating and authorizing this Credentials.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved